Skip to content

# mkdocs-print-site-plugin

MkDocs plugin that adds a page to your site combining all pages, allowing your site visitors to File > Print > Save as PDF the entire site.

## Installation

Install the plugin using `pip3`:

    pip3 install mkdocs-print-site-plugin

Next, add the following lines to your `mkdocs.yml`:

    plugins:
      - search
      - print-site

> :warning: Make sure to put `print-site` to the bottom of the plugin list. This is because other plugins might alter your site (like the navigation), and you want these changes included in the print page.

> If you have no `plugins` entry in your config file yet, you'll likely also want to add the `search` plugin. MkDocs enables it by default if there is no `plugins` entry set.

## Usage

- Navigate to `/print_page/` or `print_page.html`
- Export to standalone HTML (see export to HTML)
- Export to PDF using your browser using File > Print > Save as PDF (see export to PDF)